drop long-deprecated gpgsm-gencert.sh
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>
Thu, 2 Jul 2015 19:10:49 +0000 (15:10 -0400)
committerNeal H. Walfield <neal@g10code.com>
Fri, 3 Jul 2015 20:21:52 +0000 (22:21 +0200)
commit1be2cebf7ff5837c8b548b4f4afbf1b8b28211bc
tree1ee654cea0ad004114ade9efbd47a80140d040c8
parent3502b3cc0f5ff92ab89a0da8b1e344a8ad615737
drop long-deprecated gpgsm-gencert.sh

 * tools/gpgsm-gencert.sh: remove deprecated script entirely.  It is
   fully replaced by gpgsm --gen-key
 * doc/tools.texi: remove gpgsm-gencert.sh documentation
 * .gitignore: no longer ignore gpgsm-gencert.sh manpage
 * doc/Makefile.am: quit making the manpage
 * tools/Makefile.am: quit distributing the script
 * doc/howto-create-a-server-cert.texi: overhaul documentation to use
   gpgsm --gen-key and tweak explanations

--

The commit deprecating gpgsm-gencert.sh
(81972ca7d53ff1996e0086702a09d4405bdc2a7e) dates back exactly 6 years.

 https://codesearch.debian.net/results/gpgsm-gencert.sh

suggests that in all of debian it is only referenced in documentation
(for poldi and scute) and example files (libept), and isn't actually
used directly anywhere.

Furthermore, trying to use gpgsm-gencert.sh to make a simple webserver
certificate-signing request failed for me, following the examples in
doc/howto-create-a-server-cert.texi exactly.

It's time we ripped off this band-aid :)

Signed-off-by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
.gitignore
NEWS
doc/Makefile.am
doc/howto-create-a-server-cert.texi
doc/tools.texi
tools/Makefile.am
tools/gpgsm-gencert.sh [deleted file]